#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    long long i,n,k,a=0;

    cin>>n;
    n++;

    vector<long long> x(n);
    vector<long long> y(n);
    vector<long long> z(n);

    x[0]=0;
    y[0]=0;
    z[0]=0;

    for(i=1;i<n;i++){
        cin>>x[i];
    }
    for(i=1;i<n;i++){
        cin>>y[i];
    }
    for(i=1;i<n;i++){
        cin>>z[i];
    }


    for(i=1;i<n;i++){
        for(k=1;k<n;k++){
                if(x[i]==y[z[k]])a++;



        }

    }
    cout<<a;



    return 0;
}